You are here: Home > API Reference > Platform > Segment > Get segment actions

Get segment actions

Required Permission: base.organization.segment.actions

Get segment actions

GET
https://api.applivery.io/v1/organizations/{organizationId}/segments/{segmentId}/actions

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
segmentId integer
required

expandTo string
optional
ancestorschildren

Responses

200 Response application/json
status boolean required
data object required
segment object required
id number required
name string required
≤ 256 characters
origin array [string] required
actionsAllowed array [string] required
{
    "status": true,
    "data": {
        "segment": {
            "id": 0,
            "name": "string"
        },
        "origin": [
            "string"
        ],
        "actionsAllowed": [
            "string"
        ]
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}
Was this page helpful?